/* $NetBSD$ */

/*
 * System call argument lists.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.5 2007/02/09 21:55:22 ad Exp
 */

#ifndef _MACH_PPCCALLS_SYS_SYSCALLARGS_H_
#define	_MACH_PPCCALLS_SYS_SYSCALLARGS_H_

#define	MACH_PPCCALLS_SYS_MAXSYSARGS	8

#undef	syscallarg
#define	syscallarg(x)							\
	union {								\
		register_t pad;						\
		struct { x datum; } le;					\
		struct { /* LINTED zero array dimension */		\
			int8_t pad[  /* CONSTCOND */			\
				(sizeof (register_t) < sizeof (x))	\
				? 0					\
				: sizeof (register_t) - sizeof (x)];	\
			x datum;					\
		} be;							\
	}

#undef check_syscall_args
#define check_syscall_args(call) \
	typedef char call##_check_args[sizeof (struct call##_args) \
		<= MACH_PPCCALLS_SYS_MAXSYSARGS * sizeof (register_t) ? 1 : -1];

/*
 * System call prototypes.
 */

#endif /* _MACH_PPCCALLS_SYS_SYSCALLARGS_H_ */
